1.0.0OAS 3.1

Retrieve derivative presets that define image and video transformation rules for automated processing.

API Base URL
Security
bearerAuth (http)

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

Retrieve all configured derivative presets.

Retrieve all configured derivative presets.

get
/api/1/derivative-presets/

Response

200 application/json

A list of derivative presets.

allowedTypesstring
dpiinteger
heightinteger
idstring(uuid)
isCropinteger
isExtentinteger
isOnTheFlyinteger
isPublicinteger
prefixstring
widthinteger
200 application/json

Retrieve a specific configured derivative preset.

Retrieve a specific configured derivative preset.

get
/api/1/derivative-presets/{preset_id}

Path Parameters

preset_idstring(uuid)required

The ID of the derivative preset.

Response

200 application/json

A specific derivative preset.

allowedTypesstring
dpiinteger
heightinteger
idstring(uuid)
isCropinteger
isExtentinteger
isOnTheFlyinteger
isPublicinteger
prefixstring
widthinteger
200 application/json